.catalog-pagination {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: 31rem;
}

.catalog-pagination--info { width: 20rem; }

.catalog-info--cont {
    display: inline-block;
    font-family: Inter;
    font-weight: 500;
    font-size: 1.4rem;
    text-align: center;
    line-height: 1.8rem;
    grid-column-start: 1;
    grid-column-end: 20;
}

.catalog-cont--txt, .catalog-cont--from, .catalog-cont--to { display: inline; }

.catalog-info--progress {
    width: 20rem;
    height: 0.2rem;
    margin-top: 1rem;
    grid-column-start: 1;
    grid-column-end: 20;
    background-color: #9b9a9a;
}

.catalog-progress--full {
    display: block;
    position: relative;
    width: 100%;
    height: 0.2rem;
    grid-column-start: 1;
    grid-column-end: 21;
    background-color: #131313;
}

.catalog-pagination--more {
    width: 31rem;
    color: #131313;
    font-family: Inter;
    font-weight: 500;
    text-transform: uppercase;
    text-align: center;
    background-color: transparent;
    cursor: pointer;
    border: 0.1rem solid #131313;
    border-radius: 0.5rem;
}

.catalog-pagination--more:hover {
    color: #fff;
    background-color: #131313;
}


@media (min-width: 600px) {
    .catalog-pagination {
        margin-top: 4rem;
        margin-left: calc((100% - 31rem) / 2);
        grid-column-start: 1;
        grid-column-end: 32;
    }
    .catalog-pagination--more {
        height: 4.8rem;
        margin-top: 2rem;
        font-size: 1.5rem;
        line-height: 2rem;
    }
}

@media (max-width: 599px) {

    .catalog-pagination { margin: 2.5rem auto; }

    .catalog-pagination--more {
        height: 4rem;
        margin-top: 1.5rem;
        font-size: 1.3rem;
        line-height: 1.7rem;
    }
}
